Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AssetPtr< T > Class Template Reference

`#include <assetPtr.h>`

Inheritance diagram for AssetPtr< T >:

## Public Member Functions
| AssetPtr ()
| AssetPtr (const char *pAssetId)
| AssetPtr (const AssetPtr< T > &assetPtr)
virtual | ~AssetPtr ()
AssetPtr< T > & | operator= (const char *pAssetId)
| Assignment. More...
AssetPtr< T > & | operator= (const AssetPtr< T > &assetPtr)
virtual void | clear (void)
| Referencing. More...
T * | operator-> (void) const
T & | operator* (void) const
| operator T * (void) const
virtual void | setAssetId (const char *pAssetId)
virtual StringTableEntry | getAssetId (void) const
virtual StringTableEntry | getAssetType (void) const
virtual bool | isAssetId (const char *pAssetId) const
virtual bool | isNull (void) const
| Validity. More...
virtual bool | notNull (void) const
Public Member Functions inherited from AssetPtrBase
| AssetPtrBase ()
virtual | ~AssetPtrBase ()
void | registerRefreshNotify (AssetPtrCallback *pCallback)
| Notification. More...
void | unregisterRefreshNotify (void)

## Constructor & Destructor Documentation

AssetPtr | ( |  | ) |
| inline

AssetPtr | ( | const char * | pAssetId | ) |
| inline

AssetPtr | ( | const AssetPtr< T > & | assetPtr | ) |
| inline

virtual ~AssetPtr | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void clear | ( | void |  | ) |
| inline virtual

Referencing.

Implements AssetPtrBase.

virtual StringTableEntry getAssetId | ( | void |  | ) | const
| inline virtual

Implements AssetPtrBase.

virtual StringTableEntry getAssetType | ( | void |  | ) | const
| inline virtual

Implements AssetPtrBase.

virtual bool isAssetId | ( | const char * | pAssetId | ) | const
| inline virtual

Implements AssetPtrBase.

virtual bool isNull | ( | void |  | ) | const
| inline virtual

Validity.

Implements AssetPtrBase.

virtual bool notNull | ( | void |  | ) | const
| inline virtual

Implements AssetPtrBase.

operator T * | ( | void |  | ) | const
| inline

T& operator* | ( | void |  | ) | const
| inline

T* operator-> | ( | void |  | ) | const
| inline

AssetPtr<T>& operator= | ( | const char * | pAssetId | ) |
| inline

Assignment.

AssetPtr<T>& operator= | ( | const AssetPtr< T > & | assetPtr | ) |
| inline

virtual void setAssetId | ( | const char * | pAssetId | ) |
| inline virtual

Implements AssetPtrBase.

The documentation for this class was generated from the following file:

- assets/assetPtr.h